Bug 463808 - Review Request: robotfindskitten - A game/zen simulation.
Review Request: robotfindskitten - A game/zen simulation.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 15:05 EDT by Will Woods
Modified: 2009-08-17 10:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 10:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2008-09-24 15:05:22 EDT
Spec URL: http://wwoods.fedorapeople.org/review/robotfindskitten.spec
SRPM URL: http://wwoods.fedorapeople.org/review/robotfindskitten-1.7320508.406-1.fc9.src.rpm
Description: 
In this game, you are robot (#). Your job is to find kitten. This task
is complicated by the existence of various things which are not kitten.
Robot must touch items to determine if they are kitten or not. The game
ends when robotfindskitten.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=842592
Comment 1 Till Maas 2008-11-07 11:13:26 EST
- You do not use a URL in Source0[0], probably this can be used:

http://robotfindskitten.org/download/POSIX/robotfindskitten-1.7320508.406.tar.gz

- There is no upstream patch status[1] mentioned in the spec file.


[0] https://fedoraproject.org/wiki/Packaging/SourceURL
[1] https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus
Comment 2 Till Maas 2009-04-21 14:00:48 EDT
You do not use rpm macros here:

/usr/games/robotfindskitten
/usr/share/info/robotfindskitten.info.gz
/usr/share/man/man6/robotfindskitten.6.gz

%{_datadir} is iirc /usr/share, and %{_prefix} /usr.

Also it is best practices to use a * instead of the .gz suffix for manpages and maybe also info pages, because they may not be gzipped depending on the rpm configuration.
Comment 3 Gideon Mayhak 2009-07-09 19:16:50 EDT
Hey, just a friendly nudge wondering if this will ever go anywhere.  I would love to see this awesome zen simulation in the Fedora (and even EPEL) repos.  Unfortunately, I don't have the knowledge or the time right now to take this up myself (I'd love to become a packager someday, but I can't right now).

Will Woods, do you think you might have some time to address Till's concerns?

I just wanted to let you know that there's at least one person who would love to see this go through!
Comment 4 Jason Tibbitts 2009-07-10 13:51:50 EDT
I could review this, but I'd like to know that someone is listening on the other end before going to the trouble.  However, it's been 2.5 months with no response, so I'll go ahead and close this ticket in another week if nothing happens.
Comment 5 Will Woods 2009-07-10 14:28:59 EDT
Sorry for the delay. I've rebuilt -2 with the following changes:
- URL used for Source0
- Patch0 sent to upstream developers (and noted as such in the spec)
- %files section converted to using %{_prefix} and %{_datadir}
- .gz suffix removed from lines for info & man pages

I also did a mock --rebuild to ensure that the BuildRequires are correct, at least for Fedora 11.

SPEC: http://wwoods.fedorapeople.org/review/robotfindskitten.spec
SRPM: http://wwoods.fedorapeople.org/review/robotfindskitten-1.7320508.406-2.fc11.src.rpm
Comment 6 Jason Tibbitts 2009-07-10 15:43:15 EDT
All I get from rpmlint is
  robotfindskitten.x86_64: W: summary-ended-with-dot
   A game/zen simulation. You are robot. Your job is to find kitten.
which is technically true, but I don't think it makes much sense to elide just the final period here.

  robotfindskitten.src: W: mixed-use-of-spaces-and-tabs
   (spaces: line 9, tab: line 1)
I don't particularly care about this; fix it if you like.

I installed and ran the resulting package and it seemed to work.  I'm not sure what the point is, but perhaps there's not supposed to be one.

* source files match upstream.  sha256sum:
   08c8a826c3cf90a7f3dc1d42b087425af661971585f125b9bedca2bcc2a11852  
   robotfindskitten-1.7320508.406.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   robotfindskitten = 1.7320508.406-2.fc12
   robotfindskitten(x86-64) = 1.7320508.406-2.fc12
  =
   /bin/sh
   info
   libncurses.so.5()(64bit)
   libtinfo.so.5()(64bit)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 7 Will Woods 2009-07-16 11:21:19 EDT
New Package CVS Request
=======================
Package Name: robotfindskitten
Short Description: A game/zen simulation. You are robot. Your job is to find kitten.
Owners: wwoods
Branches: F-10 F-11 
InitialCC:
Comment 8 Jason Tibbitts 2009-07-17 11:36:08 EDT
CVS done.
Comment 9 Gideon Mayhak 2009-08-15 18:44:12 EDT
I just noticed that this is still open.  I wanted to chime in and say I've installed it in F11 (as well as a rebult F10 RPM under F8) and it works great.  Thanks again for packaging this program!

I don't know how Review Request reports are handled, so I won't close this myself.
Comment 10 Will Woods 2009-08-17 10:48:16 EDT
Oh oops - this bug should have been closed when the package got pushed live, but I think I forgot to add the bug ID to the update request. 

Anyway, package is now live in F10/F11 updates and Rawhide.

Note You need to log in before you can comment on or make changes to this bug.